<?php
require_once "connect.php";
require_once "inc/faturar_pedidos.php"; 

date_default_timezone_set('America/Sao_Paulo');

if(!isset($_SESSION)) {
  session_start();
}

$fl_modelo_fiscal = '';
$redirect         ='erpc_faturar_pedidos_list.php';

if(isset($_SESSION['id_usuario'])){
  $id_usuario = $_SESSION['id_usuario'];
}

// faturamento por nota fiscal eletronica
if(isset($_POST['btn-faturar-nfe'])){
  $fl_modelo_fiscal = 55;
}

// faturamento por cupom fiscal eletronico easysat_venda
if(isset($_POST['btn-faturar-cfe'])){
  $fl_modelo_fiscal = 59;
}

/* EDIVAL 28/12/2016 11:18
   inclui os pedidos liberados */
if (!$fl_modelo_fiscal=="") {

  // Somente se informado os pedidos a liberar
  if(isset($_POST['id_gera'])){
    // coleção dos pedidos informados
    $itens = $_POST['id_gera'];
    setPedidos($itens);
    setAllFaturar($fl_modelo_fiscal);

    // número do documento fiscal gerado
    $id_doc = getNumeroDocumentoSaida();
    $id_doc_crip = base64_encode($id_doc);
    $ds_modelo_crip = base64_encode($fl_modelo_fiscal);

   // $redirect = "erpc_faturar_pedidos_view.php?ds_modelo==$ds_modelo_crip&id_doc=$id_doc_crip";
  // retorno da url para geração do xml da nfe
    if($fl_modelo_fiscal==55){
      $redirect = "erpc_nfecode_xml.php?id=$id_doc_crip";
    }

    // retorno da url para geração do xml do CFe
    if($fl_modelo_fiscal==59){
      // http://localhost:90/sat/erpc_nfccode_xml_venda.php?id=NQ==
      $redirect = "erpc_nfccode_xml_venda.php?id=$id_doc_crip";
    }

    /*
    Se não houve liberação dos pedidos, volta para a tela de liberação com mensagem!
    $bl_liberar_pedidos = getLiberarPedido();

    if(!$bl_liberar_pedidos==true){
      addError('Houve pedidos não liberados! Verifique o Status de cada Pedido.');
      return false;
    }*/
  }
}

header("Location:$redirect");
